## python-ethtool 0.7

=== Makefile ===
PACKAGE := python-ethtool
VERSION := $(shell rpm -q --qf '%{VERSION} ' --specfile rpm/SPECS/$(PACKAGE).spec | cut -d' ' -f1)

rpmdirs:
	@[ -d rpm/BUILD ]   || mkdir rpm/BUILD
	@[ -d rpm/RPMS ]    || mkdir rpm/RPMS
	@[ -d rpm/SRPMS ]   || mkdir rpm/SRPMS
	@[ -d rpm/SOURCES ] || mkdir rpm/SOURCES

bz2: rpmdirs
	git archive --format=tar --prefix=$(PACKAGE)-$(VERSION)/ HEAD | \
	bzip2 -9 > rpm/SOURCES/$(PACKAGE)-$(VERSION).tar.bz2

install:
	python setup.py install --root=$(DESTDIR)

rpm: bz2 rpmdirs
	rpmbuild -ba --define "_topdir $(PWD)/rpm" rpm/SPECS/$(PACKAGE).spec

bz2dev: rpmdirs
	@mkdir -p /tmp/$(PACKAGE)-$(VERSION)
	@tar cf - `cat MANIFEST` | (cd /tmp/$(PACKAGE)-$(VERSION) ; tar xf -)
	@(cd /tmp; tar cf - $(PACKAGE)-$(VERSION)) | bzip2 -9 > rpm/SOURCES/$(PACKAGE)-$(VERSION).tar.bz2

rpmdev: bz2dev rpmdirs
	rpmbuild -ba --define "_topdir $(PWD)/rpm" rpm/SPECS/$(PACKAGE).spec

## python-ethtool 0.5-2

=== debian/changelog ===
python-ethtool (0.5-2) unstable; urgency=low

  * Correct copyright
  * remove patches in clean target
  * add missing import

 -- Miroslav Suchý <miroslav@suchy.cz>  Tue, 26 Oct 2010 00:17:30 +0200

python-ethtool (0.5-1) unstable; urgency=low

  * Packaging for Debian main (Closes: #549323). 

 -- Miroslav Suchý <miroslav@suchy.cz>  Wed, 29 Sep 2010 23:00:00 +0200

python-ethtool (0.3-2) unstable; urgency=low

  * Initial release

 -- Lukáš Ďurfina <lukas.durfina@gmail.com>  Wed, 09 Sep 2009 18:49:50 +0200

=== debian/control ===
Source: python-ethtool
Section: python
Priority: extra
Maintainer: Miroslav Suchý <miroslav@suchy.cz>
Build-Depends: debhelper, python, python-all-dev, python-all,  python-support, pkg-config, libnl-dev
XS-Python-Version: 2.6
Standards-Version: 3.9.1
Homepage: http://fedorapeople.org/gitweb?p=dsommers/public_git/python-ethtool.git;a=summary

Package: python-ethtool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Ethernet settings python bindings
 Python bindings for the ethtool kernel interface, that allows querying and
 changing of ethernet card settings, such as speed, port, autonegotiation,
 and PCI locations.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_build:
	dh_auto_configure --buildsystem=python_distutils
	cp -p pethtool.py pethtool
	cp -p pifconfig.py pifconfig

clean:
	if [ -f setup.py ]; then dh --buildsystem=python_distutils $@; fi
	#rm -f setup.py
	rm -f setup.cfg pethtool pifconfig man/pethtool.8 man/pifconfig.8
	rm -rf build debian/patches

%:
	dh --buildsystem=python_distutils $@

## python-ethtool 0.6

=== debian/changelog ===
python-ethtool (0.6-0ubuntu1) natty; urgency=low

  * Initial release (LP: #732759)
  * debian/patches/libnl-1.0-support.patch: Adds support to libnl-1. Patch
    taken from upstream.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 10 Mar 2011 11:43:52 -0500

=== debian/control ===
Source: python-ethtool
Section: python
Priority: optional
Maintainer: Andres Rodriguez <andreserl@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), libnl-dev, pkg-config, python-dev (>= 2.6.6-3)
Standards-Version: 3.9.1
Homepage: http://fedoraproject.org/wiki/python-ethtool
XS-Python-Version: >= 2.7

Package: python-ethtool
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Python bindings for the ethtool kernel interface
 Python bindings for the ethtool kernel interface, that allows querying and
 changing of Ethernet card settings, such as speed, port, auto-negotiation, and
 PCI locations.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_build:
	python setup.py build

override_dh_auto_install:
	python setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
	mkdir -p $(CURDIR)/debian/tmp/usr/sbin
	install -m 755 pethtool.py $(CURDIR)/debian/tmp/usr/sbin/pethtool
	install -m 755 pifconfig.py $(CURDIR)/debian/tmp/usr/sbin/pifconfig
	dh_install

override_dh_clean:
	rm -rf $(CURDIR)/build
	dh_clean

=== debian/watch ===
version=3

http://dsommers.fedorapeople.org/python-ethtool/python-ethtool-([\d\.]*)\.tar\.bz2

## python-ethtool 0.7

=== debian/changelog ===
python-ethtool (0.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add docbook-xsl to Build-Depends so the build system doesn't try to
    download manpages/docbook.xsl from the internet. (Closes: #683174)

 -- Felix Geyer <fgeyer@debian.org>  Tue, 07 Aug 2012 15:25:14 +0200

python-ethtool (0.7-1) unstable; urgency=low

  * Packaging for Debian main (Closes: #549323). 

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 15 Jun 2012 18:48:15 +0200

=== debian/control ===
Source: python-ethtool
Section: python
Priority: extra
Maintainer: Miroslav Suchý <miroslav@suchy.cz>
Uploaders: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.6.6-3~), libnl-dev, asciidoc, pkg-config, libxml2-utils, docbook-xml, docbook-xsl, xsltproc
Standards-Version: 3.9.3
Homepage: http://fedorapeople.org/gitweb?p=dsommers/public_git/python-ethtool.git;a=summary
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/spacewalk/python-ethtool.git
Vcs-Git: git://anonscm.debian.org/collab-maint/spacewalk/python-ethtool.git

Package: python-ethtool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Python bindings for the ethtool kernel interface
 Allows querying and changing of ethernet card settings, such as speed,
 port, autonegotiation, and PCI locations.

=== debian/watch ===
version=3
http://dsommers.fedorapeople.org/python-ethtool/python-ethtool-(.*)\.tar\.bz2

## python-ethtool 0.11

=== debian/changelog ===
python-ethtool (0.11-3) unstable; urgency=medium

  * [66d3f9d] Add missing net/if.h include.
    Thanks to Chris West (Faux) (Closes: #797250)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 20 Sep 2015 09:57:17 +0200

python-ethtool (0.11-2) unstable; urgency=medium

  * [9a8fb8f3] Switching Maintainer/Uploaders (Closes: #764182)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 06 Oct 2014 21:30:22 +0200

python-ethtool (0.11-1) unstable; urgency=medium

  * [427771ee] Merge tag 'upstream/0.11'
    Upstream version 0.11
  * [169ab037] Add some maybe missing dependencies for asciidoc.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 05 Oct 2014 13:34:51 +0200

python-ethtool (0.10-1) unstable; urgency=medium

  * [f64043e5] Updating watch file.
  * [a55ab8a2] Merge tag 'upstream/0.10'
    Upstream version 0.10
  * [bf9f242c] Use libnl-route-3-dev instead of libnl-dev.
    Thanks to Michael Biebl (Closes: #688173)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 26 Apr 2014 23:56:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-ethtool
 Section: python
 Priority: extra
-Maintainer: Miroslav Suchý <miroslav@suchy.cz>
-Uploaders: Bernd Zeimetz <bzed@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.6.6-3~), libnl-dev, asciidoc, pkg-config, libxml2-utils, docbook-xml, docbook-xsl, xsltproc
+Uploaders: Miroslav Suchý <miroslav@suchy.cz>
+Maintainer: Bernd Zeimetz <bzed@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.6.6-3~), libnl-route-3-dev, asciidoc, pkg-config, libxml2-utils, docbook-xml, xsltproc, sgml-data, libxml2, docbook-xsl, docbook-xml
 Standards-Version: 3.9.3
 Homepage: http://fedorapeople.org/gitweb?p=dsommers/public_git/python-ethtool.git;a=summary
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/spacewalk/python-ethtool.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_build:
	dh_auto_build --buildsystem python_distutils
	cp -p pethtool.py pethtool
	cp -p pifconfig.py pifconfig
	a2x -d manpage -f manpage man/pethtool.8.asciidoc
	a2x -d manpage -f manpage man/pifconfig.8.asciidoc

clean:
	if [ -f setup.py ]; then dh $@ --buildsystem python_distutils --with python2; fi
	#rm -f setup.py
	rm -f setup.cfg pethtool pifconfig man/pethtool.8 man/pifconfig.8
	rm -rf build

%:
	dh $@ --buildsystem python_distutils --with python2

=== debian/watch ===
version=3
https://fedorahosted.org/releases/p/y/python-ethtool/ python-ethtool-([0-9.]+).tar.bz2

## python-ethtool 0.12

=== Makefile ===
--- 
+++ 
@@ -24,3 +24,32 @@
 
 rpmdev: bz2dev rpmdirs
 	rpmbuild -ba --define "_topdir $(PWD)/rpm" rpm/SPECS/$(PACKAGE).spec
+
+
+build:
+	python setup.py build
+
+# Need to set PYTHONPATH appropriately when invoking this
+test:
+	python tests/parse_ifconfig.py -v
+	python -m unittest discover -v
+	valgrind --leak-check=full python tests/test_ethtool.py
+
+# As of 5f6339c432dc227e456b70c459cf6f57c6cfe7c2 I (dmalcolm) hope to have
+# fixed the memory leaks within python-ethtool itself, but I expect
+# to see a few blocks lost within libnl which appear to be caches,
+# and thus (presumably) false positives:
+# ==9163== 4,600 (80 direct, 4,520 indirect) bytes in 2 blocks are definitely lost in loss record 2,559 of 2,612
+# ==9163==    at 0x4C26F18: calloc (vg_replace_malloc.c:566)
+# ==9163==    by 0x1152C307: nl_cache_alloc (in /usr/lib64/libnl.so.1.1)
+# ==9163==    by 0x115309FC: rtnl_link_alloc_cache (in /usr/lib64/libnl.so.1.1)
+# ==9163==    by 0x1130C843: get_etherinfo (etherinfo.c:315)
+# ==9163==    by 0x1130CFD0: _ethtool_etherinfo_getter (etherinfo_obj.c:152)
+# ==9163==    by 0x4F07E90: PyEval_EvalFrameEx (ceval.c:2330)
+# ...etc...
+# ==9163== LEAK SUMMARY:
+# ==9163==    definitely lost: 160 bytes in 4 blocks
+# ==9163==    indirectly lost: 9,040 bytes in 60 blocks
+# ==9163==      possibly lost: 489,676 bytes in 3,299 blocks
+# ==9163==    still reachable: 1,277,848 bytes in 11,100 blocks
+# ==9163==         suppressed: 0 bytes in 0 blocks

=== debian/changelog ===
python-ethtool (0.12-1.2build1~cloud0) bionic-rocky; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 12 Sep 2019 10:41:58 +0000

python-ethtool (0.12-1.2build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 09:24:30 +0000

python-ethtool (0.12-1.2) unstable; urgency=medium

  * Non-maintainer upload after ACK from Bernd Zeimetz.
  * Add Python 3 support (Closes: #893659).

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Mar 2018 13:16:46 +0000

python-ethtool (0.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Evgeni Golov ]
  * update Homage in d/control

  [ Reiner Herrmann ]
  * Fix argument parsing in C library (Closes: #857346)

 -- Evgeni Golov <evgeni@debian.org>  Sat, 18 Mar 2017 16:47:04 +0100

python-ethtool (0.12-1) unstable; urgency=medium

  * [ea5192b] Fix some other gcc5 warnings.
    Thanks to Petter Reinholdtsen
  * [a322ed4] Merge tag 'upstream/0.12'
    Upstream version 0.12
  * [78a0aba] refreshing patches

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 24 Sep 2016 15:34:09 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

override_dh_auto_build:
	set -e ; set -x ; for i in $(PYTHONs) $(PYTHON3S) ; do \
		PYTHON=python$$i python$$i setup.py build --force ; \
	done
	cp -p pethtool.py pethtool
	cp -p pifconfig.py pifconfig
	a2x -d manpage -f manpage man/pethtool.8.asciidoc
	a2x -d manpage -f manpage man/pifconfig.8.asciidoc

override_dh_auto_install:
	python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/python-ethtool
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-ethtool ; \
	done

clean:
	if [ -f setup.py ]; then dh $@ --buildsystem python_distutils --with python2,python3; fi
	#rm -f setup.py
	rm -f setup.cfg pethtool pifconfig man/pethtool.8 man/pifconfig.8
	rm -rf build

%:
	dh $@ --buildsystem python_distutils --with python2,python3

## python-ethtool 0.14

=== debian/changelog ===
python-ethtool (0.14-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Fri, 03 Jun 2022 11:54:47 -0400

python-ethtool (0.14-3) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937737

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Jan 2020 15:20:56 -0500

python-ethtool (0.14-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Stewart Ferguson ]
  * Adding build-dep on dh-python (Closes: #944940)
  * Changing build system to pybuild
  * Bumping compat
  * Bumping Standards-Version to 4.4.1

 -- Stewart Ferguson <stew@ferg.aero>  Mon, 16 Dec 2019 07:26:54 +0000

python-ethtool (0.14-1) unstable; urgency=medium

  * Upstream version 0.14
  * Removed patches which were integrated upstream
  * Deploying python3 version of module

 -- Stewart Ferguson <stew@ferg.aero>  Wed, 31 Oct 2018 20:56:35 +0100

=== debian/control ===
Source: python-ethtool
Section: python
Priority: optional
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Maintainer: Stewart Ferguson <stew@ferg.aero>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all-dev,
 python3-setuptools,
 libnl-route-3-dev,
 asciidoc,
 pkg-config,
 libxml2-utils,
 xsltproc,
 sgml-data,
 libxml2,
 docbook-xsl,
 docbook-xml
Standards-Version: 4.5.0
Homepage: https://github.com/fedora-python/python-ethtool.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ethtool
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ethtool.git

Package: python3-ethtool
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Description: Python bindings for the ethtool kernel interface - Python 3.x
 Allows querying and changing of ethernet card settings, such as speed,
 port, autonegotiation, and PCI locations.
 .
 This package provides the Python 3.x module.

## python-ethtool 0.15

=== debian/changelog ===
python-ethtool (0.15-2) unstable; urgency=medium

  * Team Upload
  * Sort dependencies with debputy
  * Remove unnecessary dependency on libxml2 (Closes: #1111627)
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no": its the default

 -- Alexandre Detiste <tchet@debian.org>  Wed, 20 Aug 2025 11:01:57 +0200

python-ethtool (0.15-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.15
  * Use new dh-sequence-python3
  * Set DPT as Maintainer per new Team Policy
  * Set Rules-Requires-Root: no

  [ Stewart Ferguson ]
  * Initial commit of upstream version 0.14 plus debian packaging
  * Removing debian-delta.
    Branch is now in pristine upstream state for revision 0.14

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Contact, Name.
  * Update standards version to 4.6.1, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 22 Aug 2024 10:25:20 +0200

=== debian/control ===
Source: python-ethtool
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Stewart Ferguson <stew@ferg.aero>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 asciidoc,
 docbook-xml,
 docbook-xsl,
 libnl-route-3-dev,
 libxml2-utils,
 pkgconf,
 python3-all-dev,
 python3-setuptools,
 sgml-data,
 xsltproc,
Standards-Version: 4.7.2
Homepage: https://github.com/fedora-python/python-ethtool
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ethtool
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ethtool.git
X-Style: black

Package: python3-ethtool
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python bindings for the ethtool kernel interface
 Allows querying and changing of ethernet card settings, such as speed,
 port, autonegotiation, and PCI locations.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=ethtool

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	a2x -d manpage -f manpage man/pethtool.8.asciidoc
	a2x -d manpage -f manpage man/pifconfig.8.asciidoc

	# Make python2/3 versions of each file so packages won't conflict
	cp -p man/pethtool.8 man/pethtool3.8
	cp -p man/pifconfig.8 man/pifconfig3.8
	cp -p scripts/pethtool scripts/pethtool3
	cp -p scripts/pifconfig scripts/pifconfig3
	sed -i -e 's/python/python3/' scripts/pethtool3
	sed -i -e 's/python/python3/' scripts/pifconfig3

execute_after_dh_auto_install:
	# Remove original scripts, installed by setup.py. We will update-alternatives later
	rm -rf debian/python3-ethtool/usr/bin

override_dh_auto_test:

clean:
	rm -f \
	  man/pethtool.8 man/pifconfig.8 \
	  man/pethtool3.8 man/pifconfig3.8 \
	  scripts/pethtool3 scripts/pifconfig3
	rm -rf build ethtool.egg-info
